#ifndef VDR_PERL_COMM_H
#define VDR_PERL_COMM_H

#include <stdio.h>

class cPerlComm {
private:
	FILE *mPipe;

protected:
	void SetPipe(FILE *Pipe) { mPipe = Pipe; }
	void SendAction(const char *Format, ...);
	void ReadAction(const char *Until);

	virtual void HandleAction(const char *Action);
	
	void InterfaceAction(const char *Opts);
	void CreateObject(const char *Opts);
	void ObjectMethod(const char *Opts);

public:
	cPerlComm(FILE *Pipe = NULL);
	virtual ~cPerlComm();
};

#endif // VDR_PERL_COMM_H
